#include	<u.h>
#include	<stdarg.h>
#include	<libc.h>
#include	<stdio.h>
#include	<auth.h>
#include	<fcall.h>
#include	<db.h>

int
main(void)
{
	DB		*db;

/*	if ( (db = db_open("t4", O_CREAT,	*/
	if ( (db = db_open("t4", O_RDWR | O_TRUNC,
					00666)) == NULL)
		exits("db_open error");

	if (db_store(db, "Alpha", "data1", DB_INSERT) != 0)
		exits("db_store error for alpha");
	if (db_store(db, "beta", "Data for beta", DB_INSERT) != 0)
		exits("db_store error for beta");
	if (db_store(db, "gamma", "record3", DB_INSERT) != 0)
		exits("db_store error for gamma");
	if (db_store(db, "delta", "record4", DB_INSERT) != 0)
		exits("db_store error for delta");

	db_close(db);
	exits("t4 database created");
}
