#include	<u.h>
#include	<stdarg.h>
#include	<libc.h>
#include	<stdio.h>
#include	<auth.h>
#include	<fcall.h>
#include	"db.h"

/* Write a chain ptr field somewhere in the index file:
 * the free list, the hash table, or in an index record. */

void
_db_writeptr(DB *db, off_t offset, off_t ptrval)
{
	char	asciiptr[PTR_SZ + 1];

	if (ptrval < 0 || ptrval > PTR_MAX)
		exits("invalid ptr");
	sprintf(asciiptr, "%*d", PTR_SZ, ptrval);

	if (seek(db->idxfd, offset, SEEK_SET) == -1)
		exits("seek error to ptr field");
	if (write(db->idxfd, (void*)asciiptr, (long)PTR_SZ) != PTR_SZ)
		exits("write error of ptr field");
}
